<?php
/**
* FetchResultColumn Example
* 
* This example uses the FetchResultColumn function to execute a query and retrieve the values in the 
* first column of the result set.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

// Instatiate AbstractDB
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost/mydatabase"));
// Execute a Query
if($rs = $db->Query("SELECT * FROM tablename"))
{
	// Get the result
	$db->FetchResultColumn($rs, $column);
	// Do something with the data in $column.
	print_r($column);
}
else
{
	die($db->GetLastError());
}
// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>