<?php
/**
* Instantiation Example
* 
* This example uses an associative array of arguments to instantiate AbstractDB.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

/**
* @global AbstractDB An instance of the {@link AbstractDB} class.
*/
$db = new AbstractDB(array(
	"Type"=>"mysql", 
	"Username"=>"username", 
	"Password"=>"password", 
	"Hostname"=>"localhost",
	"Database"=>"cybermatrix",
	"Options"=>array(
		"Persistent"=>true,
		"Port"=>3306)
	));

// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>