<?php
/**
* Query Example
* 
* This example shows how to query a database using AbstractDB.
* @package AbstractDB
* @author Pacific-Cybersoft
* @copyright (C) 2005 Pacific-Cybersoft. All Rights Reserved.
* @version v 1.0.2
* @license http://www.gnu.org/copyleft/lesser.txt GNU Lesser General Public License
*/

/**
* Include the AbstractDB main class.
*/
include("../abstractdb.class.php");

// Instatiate AbstractDB
$db = new AbstractDB(array("ConnectionString"=>"mysql://username:password@localhost/mydatabase"));
// Execute a Query
if($rs = $db->Query("SELECT * FROM tablename"))
{
	// Use $rs to retrieve result rows.
	$db->FetchNextResultRow($rs, $row);
	// Free Result
	$db->FreeResult($rs);
}
else
{
	die($db->GetLastError());
}
// Always good practice to close AbstractDB at the end of each script.
$db->Close();
?>